API Reference
Create a reusable Story Kit.
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Header Parameters
Idempotency-Key?string
Retry key (8-200 characters). Reusing it with identical input returns the original response; different input returns 409.
Match
^[A-Za-z0-9._:-]+$Length
8 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/story-kits" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "visual_style": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revision": 1, "name": "string", "description": "string", "visual_style": "string", "style_reference_asset_ids": [ "bc27ad64-ff92-440a-834c-92618fd99ffb" ], "facts": [ "string" ], "locations": [ { "id": "string", "name": "string", "canonical_description": "string", "reference_asset_ids": [], "facts": [] } ], "character_ids": [ "9e931adb-ee50-4293-bd0a-b7734d508700" ], "narrator_character_id": "f30b485a-f78a-449d-b86e-6437c56af4ca", "created_at": "string", "updated_at": "string"}